Index: Mesa/Makefile.version
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/Mesa/Makefile.version,v
retrieving revision 1.6
diff -u -p -r1.6 Makefile.version
--- Mesa/Makefile.version	5 Jun 2009 11:10:35 -0000	1.6
+++ Mesa/Makefile.version	25 Jun 2009 07:48:01 -0000
@@ -12,5 +12,5 @@
 MESA_DISTNAME= 		MesaLib-${MESA_VERSION}
 MESA_SITES=		${MASTER_SITE_SOURCEFORGE:=mesa3d/}
 
-MESA_VERSION=		7.4.2
+MESA_VERSION=		7.4.4
 MESA_PKGVERSION=	${MESA_VERSION}
Index: MesaLib/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/MesaLib/Makefile,v
retrieving revision 1.79
diff -u -p -r1.79 Makefile
--- MesaLib/Makefile	19 Jun 2009 18:19:15 -0000	1.79
+++ MesaLib/Makefile	25 Jun 2009 07:48:01 -0000
@@ -1,7 +1,6 @@
 # $NetBSD: Makefile,v 1.79 2009/06/19 18:19:15 hasso Exp $
 
 PKGNAME=	MesaLib-${MESA_PKGVERSION}
-PKGREVISION=	3
 COMMENT=	Graphics library similar to SGI's OpenGL
 
 MESA_HEADERS=	gl.h gl_mangle.h glext.h glx.h glxext.h	\
Index: MesaLib/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/MesaLib/distinfo,v
retrieving revision 1.66
diff -u -p -r1.66 distinfo
--- MesaLib/distinfo	19 Jun 2009 18:19:15 -0000	1.66
+++ MesaLib/distinfo	25 Jun 2009 07:48:01 -0000
@@ -1,14 +1,14 @@
 $NetBSD: distinfo,v 1.66 2009/06/19 18:19:15 hasso Exp $
 
-SHA1 (Mesa-7.4.2/MesaDemos-7.4.2.tar.bz2) = cbba586829c76a5e7a54a906567b4b2174d6e1aa
-RMD160 (Mesa-7.4.2/MesaDemos-7.4.2.tar.bz2) = c6434d325897540618130e97891f391721b543b5
-Size (Mesa-7.4.2/MesaDemos-7.4.2.tar.bz2) = 1367293 bytes
-SHA1 (Mesa-7.4.2/MesaGLUT-7.4.2.tar.bz2) = 85f357345d71dfe60b785f0cbb03d1e070841c2d
-RMD160 (Mesa-7.4.2/MesaGLUT-7.4.2.tar.bz2) = caa69b7f2aa7136377cda2f690699415396c64ab
-Size (Mesa-7.4.2/MesaGLUT-7.4.2.tar.bz2) = 328646 bytes
-SHA1 (Mesa-7.4.2/MesaLib-7.4.2.tar.bz2) = fe70945ccf2c08d18ae4e83000018f0400352065
-RMD160 (Mesa-7.4.2/MesaLib-7.4.2.tar.bz2) = e70b8fd203325e676d90485632bf266e39d46a7e
-Size (Mesa-7.4.2/MesaLib-7.4.2.tar.bz2) = 3371577 bytes
+SHA1 (Mesa-7.4.4/MesaDemos-7.4.4.tar.bz2) = 190b51dd1e456f12c70cd428ec47ca8de0ed72fe
+RMD160 (Mesa-7.4.4/MesaDemos-7.4.4.tar.bz2) = 492850ff48aa54d35f1acdd09ac90e61a9d93bc1
+Size (Mesa-7.4.4/MesaDemos-7.4.4.tar.bz2) = 1367659 bytes
+SHA1 (Mesa-7.4.4/MesaGLUT-7.4.4.tar.bz2) = 41635a1c5b3bfe4bff4f9a086fb0b17fd441c431
+RMD160 (Mesa-7.4.4/MesaGLUT-7.4.4.tar.bz2) = 33a9e1a7b014d284ea4ec785c1912baccc5b2176
+Size (Mesa-7.4.4/MesaGLUT-7.4.4.tar.bz2) = 328900 bytes
+SHA1 (Mesa-7.4.4/MesaLib-7.4.4.tar.bz2) = 1cdcef24900489bc0a879013b2138c0d9aedffe3
+RMD160 (Mesa-7.4.4/MesaLib-7.4.4.tar.bz2) = 9c9a5e8b7f8d2fd175cc8542e2aecf48edf8c084
+Size (Mesa-7.4.4/MesaLib-7.4.4.tar.bz2) = 3375615 bytes
 SHA1 (patch-aa) = 9afc2758ebbef3737f8c858f74f0c93d86bb0861
 SHA1 (patch-ab) = 27b44d856602d590d2596f41cd17cdaf18bdc96e
 SHA1 (patch-ac) = ed3ec49ea2aacf231bbcb38093f3dc01a0cb2468
@@ -29,8 +29,6 @@ SHA1 (patch-ax) = 9a1c488526ba1a7a0cdd0f
 SHA1 (patch-ay) = 8a5eb2d874026032f9b9c15e06abb40863a21a8a
 SHA1 (patch-ba) = 44e258235ac949713c4fcead25cb7ab7498cbb7f
 SHA1 (patch-bb) = 4fd8a770bd0275c3467447f77f51e957996c93ac
-SHA1 (patch-bc) = 6b8df3762d666c2e7720183b6d292053bda86f5a
-SHA1 (patch-bd) = 61cb50ef49e64ecc0f87750d60244f1ff7b44bd4
-SHA1 (patch-be) = 5407ae34110aa37b8d05801723f2b4739fd95021
+SHA1 (patch-be) = 28caa14529347138ff1a86fa64964fe253989cb5
 SHA1 (patch-cb) = 83789d71de41aed2ba81a8239fb035a4cd295477
 SHA1 (patch-cc) = 737d8b474b1c296f3ceb4de515dd385aae072394
Index: MesaLib/patches/patch-be
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/MesaLib/patches/patch-be,v
retrieving revision 1.1
diff -u -p -r1.1 patch-be
--- MesaLib/patches/patch-be	19 Jun 2009 18:19:15 -0000	1.1
+++ MesaLib/patches/patch-be	25 Jun 2009 07:48:01 -0000
@@ -1,17 +1,16 @@
-$NetBSD: patch-be,v 1.1 2009/06/19 18:19:15 hasso Exp $
+$NetBSD$
 
---- src/mesa/drivers/osmesa/Makefile.orig	2009-06-19 13:36:30 +0300
-+++ src/mesa/drivers/osmesa/Makefile	2009-06-19 13:45:04 +0300
-@@ -19,7 +19,7 @@ INCLUDE_DIRS = \
- 	-I$(TOP)/src/mesa \
- 	-I$(TOP)/src/mesa/main
+--- src/mesa/drivers/osmesa/Makefile.orig	2009-06-17 20:30:03 +0300
++++ src/mesa/drivers/osmesa/Makefile	2009-06-22 07:52:00 +0300
+@@ -21,14 +21,15 @@ INCLUDE_DIRS = \
  
+ # Standalone osmesa needs to be linked with core Mesa APIs
+ ifeq ($(DRIVER_DIRS), osmesa)
 -CORE_MESA = $(TOP)/src/mesa/libmesa.a $(TOP)/src/mesa/libglapi.a
 +CORE_MESA = $(TOP)/src/mesa/libmesa.la $(TOP)/src/mesa/libglapi.la
- 
- 
- .PHONY: osmesa8
-@@ -27,7 +27,8 @@ CORE_MESA = $(TOP)/src/mesa/libmesa.a $(
+ else
+ CORE_MESA =
+ endif
  
  
  .c.o:
@@ -21,27 +20,10 @@ $NetBSD: patch-be,v 1.1 2009/06/19 18:19
  
  
  default: $(TOP)/$(LIB_DIR)/$(OSMESA_LIB_NAME)
-@@ -44,11 +45,11 @@ default: $(TOP)/$(LIB_DIR)/$(OSMESA_LIB_
- osmesa8: $(TOP)/$(LIB_DIR)/$(OSMESA_LIB_NAME)
- 
- $(TOP)/$(LIB_DIR)/$(OSMESA_LIB_NAME): $(OBJECTS)
--	$(MKLIB) -o $(OSMESA_LIB) -linker '$(CC)' -ldflags '$(LDFLAGS)' \
--		-major $(MESA_MAJOR) -minor $(MESA_MINOR) -patch $(MESA_TINY) \
--		-install $(TOP)/$(LIB_DIR) $(MKLIB_OPTIONS) \
--		-id $(INSTALL_LIB_DIR)/lib$(OSMESA_LIB).$(MESA_MAJOR).dylib \
--		$(OSMESA_LIB_DEPS) $(OBJECTS)
-+	$(LIBTOOL) --mode=link $(CC) \
-+		-o $(TOP)/$(LIB_DIR)/$(OSMESA_LIB_NAME:.so=.la) $(LDFLAGS) \
-+		-rpath $(PREFIX)/lib \
-+		-version-info $(MESA_MAJOR):$(MESA_MINOR):0 \
-+		$(OSMESA_LIB_DEPS) $(OBJECTS:.o=.lo)
- 
- 
- 
-@@ -56,11 +57,11 @@ $(TOP)/$(LIB_DIR)/$(OSMESA_LIB_NAME): $(
- # The libOSMesa16/libOSMesa32 libraries do not use libGL but rather are built
- # with all the other Mesa sources (compiled with -DCHAN_BITS=16/32
- osmesa16: $(OBJECTS) $(CORE_MESA)
+@@ -38,11 +39,11 @@ default: $(TOP)/$(LIB_DIR)/$(OSMESA_LIB_
+ # sources. We can also build libOSMesa16/libOSMesa32 by setting
+ # -DCHAN_BITS=16/32.
+ $(TOP)/$(LIB_DIR)/$(OSMESA_LIB_NAME): $(OBJECTS) $(CORE_MESA)
 -	$(MKLIB) -o $(OSMESA_LIB) -linker '$(CC)' -ldflags '$(LDFLAGS)' \
 -		-major $(MESA_MAJOR) -minor $(MESA_MINOR) -patch $(MESA_TINY) \
 -		-install $(TOP)/$(LIB_DIR) $(MKLIB_OPTIONS) \
Index: glu/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/glu/Makefile,v
retrieving revision 1.54
diff -u -p -r1.54 Makefile
--- glu/Makefile	10 Jun 2009 17:33:34 -0000	1.54
+++ glu/Makefile	25 Jun 2009 07:48:01 -0000
@@ -1,7 +1,6 @@
 # $NetBSD: Makefile,v 1.54 2009/06/10 17:33:34 wiz Exp $
 
 PKGNAME=	glu-${MESA_PKGVERSION}
-PKGREVISION=	1
 COMMENT=	GLU polygon tessellation facility for Mesa
 
 CONFLICTS+=	Mesa-glx-[0-9]*
Index: glut/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/glut/Makefile,v
retrieving revision 1.51
diff -u -p -r1.51 Makefile
--- glut/Makefile	11 Jun 2009 07:23:24 -0000	1.51
+++ glut/Makefile	25 Jun 2009 07:48:01 -0000
@@ -1,7 +1,6 @@
 # $NetBSD: Makefile,v 1.51 2009/06/11 07:23:24 wiz Exp $
 
 PKGNAME=	glut-${MESA_PKGVERSION}
-PKGREVISION=	1
 COMMENT=	GLUT Graphics library similar to SGI's OpenGL
 
 CONFLICTS+=	Mesa-glx-[0-9]*
Index: glx-utils/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/glx-utils/distinfo,v
retrieving revision 1.11
diff -u -p -r1.11 distinfo
--- glx-utils/distinfo	5 Jun 2009 11:10:35 -0000	1.11
+++ glx-utils/distinfo	25 Jun 2009 07:48:01 -0000
@@ -1,5 +1,5 @@
 $NetBSD: distinfo,v 1.11 2009/06/05 11:10:35 wiz Exp $
 
-SHA1 (Mesa-7.4.2/MesaDemos-7.4.2.tar.bz2) = cbba586829c76a5e7a54a906567b4b2174d6e1aa
-RMD160 (Mesa-7.4.2/MesaDemos-7.4.2.tar.bz2) = c6434d325897540618130e97891f391721b543b5
-Size (Mesa-7.4.2/MesaDemos-7.4.2.tar.bz2) = 1367293 bytes
+SHA1 (Mesa-7.4.4/MesaDemos-7.4.4.tar.bz2) = 190b51dd1e456f12c70cd428ec47ca8de0ed72fe
+RMD160 (Mesa-7.4.4/MesaDemos-7.4.4.tar.bz2) = 492850ff48aa54d35f1acdd09ac90e61a9d93bc1
+Size (Mesa-7.4.4/MesaDemos-7.4.4.tar.bz2) = 1367659 bytes
--- MesaLib/patches/patch-bc	2009-06-22 11:10:13 +0300
+++ /dev/null	2009-06-25 10:01:17 +0300
@@ -1,15 +0,0 @@
-$NetBSD: patch-bc,v 1.1 2009/06/05 11:10:35 wiz Exp $
-
-http://bugs.freedesktop.org/show_bug.cgi?id=21053
-
---- src/glx/x11/drisw_glx.c.orig	2009-05-19 12:00:40 +0300
-+++ src/glx/x11/drisw_glx.c	2009-05-19 12:01:16 +0300
-@@ -405,6 +405,8 @@ driCreateScreen(__GLXscreenConfigs * psc
-    psp->createContext = driCreateContext;
-    psp->createDrawable = driCreateDrawable;
-    psp->swapBuffers = driSwapBuffers;
-+   psp->waitX = NULL;
-+   psp->waitGL = NULL;
- 
-    return psp;
- 
--- MesaLib/patches/patch-bd	2009-06-22 11:10:13 +0300
+++ /dev/null	2009-06-25 10:01:17 +0300
@@ -1,24 +0,0 @@
-$NetBSD: patch-bd,v 1.1 2009/06/10 10:47:23 hasso Exp $
-
-Fix "freeze on exit" issue with many games. The patch taken from upstream
-bugzilla: http://bugs.freedesktop.org/show_bug.cgi?id=21756
-
---- src/mesa/main/texstate.c.orig	2009-06-10 12:59:19 +0300
-+++ src/mesa/main/texstate.c	2009-06-10 13:00:26 +0300
-@@ -429,7 +429,7 @@ texture_override(GLcontext *ctx,
-       }
-       if (texObj->_Complete) {
-          texUnit->_ReallyEnabled = textureBit;
--         texUnit->_Current = texObj;
-+	 _mesa_reference_texobj(&texUnit->_Current, texObj);
-          update_texture_compare_function(ctx, texObj);
-       }
-    }
-@@ -485,7 +485,6 @@ update_texture_state( GLcontext *ctx )
-       GLbitfield enableBits;
-       GLuint tex;
- 
--      texUnit->_Current = NULL;
-       texUnit->_ReallyEnabled = 0;
-       texUnit->_GenFlags = 0;
- 