Index: Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/prelude-correlator/Makefile,v
retrieving revision 1.3
diff -u -p -r1.3 Makefile
--- Makefile	24 Aug 2009 12:30:09 -0000	1.3
+++ Makefile	30 Sep 2009 07:30:08 -0000
@@ -20,6 +20,8 @@ PRELUDE_USER?=		_prelude
 PRELUDE_GROUP?=		_prelude
 PRELUDE_HOME?=		${VARBASE}/db/prelude-correlator
 INSTALLATION_DIRS=	sbin
+OWN_DIRS=		${PKG_SYSCONFDIR}/prelude-correlator
+EGDIR=			${PREFIX}/share/examples
 
 PKG_GROUPS_VARS+=	PRELUDE_GROUP
 PKG_USERS_VARS+=	PRELUDE_USER
@@ -30,9 +32,9 @@ PKG_USERS=		${PRELUDE_USER}:${PRELUDE_GR
 PKG_GECOS.${PRELUDE_USER}=	Prelude IDS correlator
 PKG_HOME.${PRELUDE_USER}=	${PRELUDE_HOME}
 
-FILES_SUBST+=   PRELUDE_CORRELATOR_PID_DIR=${PRELUDE_CORRELATOR_PID_DIR:Q}
-FILES_SUBST+=   PRELUDE_USER=${PRELUDE_USER:Q}
-FILES_SUBST+=   PRELUDE_GROUP=${PRELUDE_USER:Q}
+FILES_SUBST+=		PRELUDE_CORRELATOR_PID_DIR=${PRELUDE_CORRELATOR_PID_DIR:Q}
+FILES_SUBST+=		PRELUDE_USER=${PRELUDE_USER:Q}
+FILES_SUBST+=		PRELUDE_GROUP=${PRELUDE_USER:Q}
 
 SUBST_CLASSES+=		code
 SUBST_STAGE.code=	post-patch
@@ -42,11 +44,15 @@ SUBST_SED.code=		-e 's,@PREFIX@,${PREFIX
 SUBST_SED.code+=	-e 's,@PRELUDE_USER@,${PRELUDE_USER},g'
 SUBST_SED.code+=        -e 's,@PRELUDE_HOME@,${PRELUDE_HOME},g'
 
+CONF_FILES=		${EGDIR}/prelude-correlator.conf ${PKG_SYSCONFDIR}/prelude-correlator/prelude-correlator.conf
+
 REQD_DIRS+=		${PRELUDE_HOME}
 REQD_DIRS_PERMS+=	${PRELUDE_HOME} ${PRELUDE_USER} ${PRELUDE_GROUP} 0700
 
 REPLACE_PYTHON=		${WRKSRC}/*.py
 
+EGG_NAME=		prelude_correlator-0.9.0_beta6
+
 pre-patch:
 	${CP} ${FILESDIR}/run-prelude-correlator.c ${WRKSRC}
 
@@ -55,6 +61,7 @@ post-build:
 
 post-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/run-prelude-correlator ${DESTDIR}${PREFIX}/sbin/run-prelude-correlator
+	${INSTALL_DATA} ${WRKSRC}/prelude-correlator.conf ${DESTDIR}${EGDIR}
 
 .include "../../security/libprelude-python/buildlink3.mk"
 .include "../../lang/python/egg.mk"
Index: PLIST
===================================================================
RCS file: /cvsroot/pkgsrc/security/prelude-correlator/PLIST,v
retrieving revision 1.3
diff -u -p -r1.3 PLIST
--- PLIST	24 Aug 2009 12:30:09 -0000	1.3
+++ PLIST	30 Sep 2009 07:30:08 -0000
@@ -1,46 +1,65 @@
 @comment $NetBSD: PLIST,v 1.3 2009/08/24 12:30:09 hasso Exp $
 bin/prelude-correlator
 sbin/run-prelude-correlator
+${PYSITELIB}/${EGG_INFODIR}/PKG-INFO
+${PYSITELIB}/${EGG_INFODIR}/SOURCES.txt
+${PYSITELIB}/${EGG_INFODIR}/dependency_links.txt
+${PYSITELIB}/${EGG_INFODIR}/entry_points.txt
+${PYSITELIB}/${EGG_INFODIR}/not-zip-safe
+${PYSITELIB}/${EGG_INFODIR}/top_level.txt
+${PYSITELIB}/PreludeCorrelator/__init__.py
 ${PYSITELIB}/PreludeCorrelator/__init__.pyc
 ${PYSITELIB}/PreludeCorrelator/__init__.pyo
+${PYSITELIB}/PreludeCorrelator/config.py
 ${PYSITELIB}/PreludeCorrelator/config.pyc
 ${PYSITELIB}/PreludeCorrelator/config.pyo
+${PYSITELIB}/PreludeCorrelator/context.py
 ${PYSITELIB}/PreludeCorrelator/context.pyc
 ${PYSITELIB}/PreludeCorrelator/context.pyo
+${PYSITELIB}/PreludeCorrelator/idmef.py
 ${PYSITELIB}/PreludeCorrelator/idmef.pyc
 ${PYSITELIB}/PreludeCorrelator/idmef.pyo
+${PYSITELIB}/PreludeCorrelator/log.py
 ${PYSITELIB}/PreludeCorrelator/log.pyc
 ${PYSITELIB}/PreludeCorrelator/log.pyo
+${PYSITELIB}/PreludeCorrelator/main.py
 ${PYSITELIB}/PreludeCorrelator/main.pyc
 ${PYSITELIB}/PreludeCorrelator/main.pyo
+${PYSITELIB}/PreludeCorrelator/pluginmanager.py
 ${PYSITELIB}/PreludeCorrelator/pluginmanager.pyc
 ${PYSITELIB}/PreludeCorrelator/pluginmanager.pyo
+${PYSITELIB}/PreludeCorrelator/plugins/__init__.py
 ${PYSITELIB}/PreludeCorrelator/plugins/__init__.pyc
 ${PYSITELIB}/PreludeCorrelator/plugins/__init__.pyo
+${PYSITELIB}/PreludeCorrelator/plugins/bruteforce.py
 ${PYSITELIB}/PreludeCorrelator/plugins/bruteforce.pyc
 ${PYSITELIB}/PreludeCorrelator/plugins/bruteforce.pyo
+${PYSITELIB}/PreludeCorrelator/plugins/businesshour.py
 ${PYSITELIB}/PreludeCorrelator/plugins/businesshour.pyc
 ${PYSITELIB}/PreludeCorrelator/plugins/businesshour.pyo
+${PYSITELIB}/PreludeCorrelator/plugins/dshield.py
 ${PYSITELIB}/PreludeCorrelator/plugins/dshield.pyc
 ${PYSITELIB}/PreludeCorrelator/plugins/dshield.pyo
+${PYSITELIB}/PreludeCorrelator/plugins/firewall.py
 ${PYSITELIB}/PreludeCorrelator/plugins/firewall.pyc
 ${PYSITELIB}/PreludeCorrelator/plugins/firewall.pyo
+${PYSITELIB}/PreludeCorrelator/plugins/opensshauth.py
 ${PYSITELIB}/PreludeCorrelator/plugins/opensshauth.pyc
 ${PYSITELIB}/PreludeCorrelator/plugins/opensshauth.pyo
+${PYSITELIB}/PreludeCorrelator/plugins/scan.py
 ${PYSITELIB}/PreludeCorrelator/plugins/scan.pyc
 ${PYSITELIB}/PreludeCorrelator/plugins/scan.pyo
+${PYSITELIB}/PreludeCorrelator/plugins/worm.py
 ${PYSITELIB}/PreludeCorrelator/plugins/worm.pyc
 ${PYSITELIB}/PreludeCorrelator/plugins/worm.pyo
+${PYSITELIB}/PreludeCorrelator/require.py
 ${PYSITELIB}/PreludeCorrelator/require.pyc
 ${PYSITELIB}/PreludeCorrelator/require.pyo
 ${PYSITELIB}/PreludeCorrelator/siteconfig.py
 ${PYSITELIB}/PreludeCorrelator/siteconfig.pyc
 ${PYSITELIB}/PreludeCorrelator/siteconfig.pyo
+${PYSITELIB}/PreludeCorrelator/utils.py
 ${PYSITELIB}/PreludeCorrelator/utils.pyc
 ${PYSITELIB}/PreludeCorrelator/utils.pyo
-${PYSITELIB}/prelude_correlator-0.9.0_beta6-py2.5.egg-info/PKG-INFO
-${PYSITELIB}/prelude_correlator-0.9.0_beta6-py2.5.egg-info/SOURCES.txt
-${PYSITELIB}/prelude_correlator-0.9.0_beta6-py2.5.egg-info/dependency_links.txt
-${PYSITELIB}/prelude_correlator-0.9.0_beta6-py2.5.egg-info/entry_points.txt
-${PYSITELIB}/prelude_correlator-0.9.0_beta6-py2.5.egg-info/top_level.txt
+share/examples/prelude-correlator.conf
 share/examples/rc.d/preludecorrelator
Index: distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/security/prelude-correlator/distinfo,v
retrieving revision 1.2
diff -u -p -r1.2 distinfo
--- distinfo	24 Aug 2009 12:30:09 -0000	1.2
+++ distinfo	30 Sep 2009 07:30:08 -0000
@@ -3,4 +3,4 @@ $NetBSD: distinfo,v 1.2 2009/08/24 12:30
 SHA1 (prelude-correlator-0.9.0-beta6.tar.gz) = b75784b69e4a28dc71c836633826e98f1b28da55
 RMD160 (prelude-correlator-0.9.0-beta6.tar.gz) = e64a07fb347c41d9791b0c5cbf0219d7cac0e762
 Size (prelude-correlator-0.9.0-beta6.tar.gz) = 193664 bytes
-SHA1 (patch-aa) = cf7f348d4798005376e97a22d2cf9d29174d789d
+SHA1 (patch-aa) = 18f7f4e9fcf25b2ab86db3adf18928af239e3b30
Index: patches/patch-aa
===================================================================
RCS file: /cvsroot/pkgsrc/security/prelude-correlator/patches/patch-aa,v
retrieving revision 1.2
diff -u -p -r1.2 patch-aa
--- patches/patch-aa	24 Aug 2009 12:30:09 -0000	1.2
+++ patches/patch-aa	30 Sep 2009 07:30:08 -0000
@@ -1,8 +1,8 @@
-$NetBSD: patch-aa,v 1.2 2009/08/24 12:30:09 hasso Exp $
+$NetBSD$
 
---- setup.py.orig	2009-07-21 22:44:16 +0200
-+++ setup.py	2009-07-21 22:49:52 +0200
-@@ -48,7 +48,8 @@
+--- setup.py.orig	2009-07-09 18:55:53 +0300
++++ setup.py	2009-09-30 09:58:19 +0300
+@@ -48,7 +48,8 @@ class my_install(install):
  
                  root = self.root or ""
                  for dir, files in data_files:
@@ -12,7 +12,7 @@ $NetBSD: patch-aa,v 1.2 2009/08/24 12:30
  
                          self.mkpath(dir)
                          for f in files:
-@@ -71,7 +72,7 @@
+@@ -71,7 +72,7 @@ class my_install(install):
          def init_siteconfig(self, prefix):
                  config = open("PreludeCorrelator/siteconfig.py", "w")
                  print >> config, "conf_dir = '%s'" % os.path.abspath(prefix + "/etc/prelude-correlator")
@@ -21,12 +21,13 @@ $NetBSD: patch-aa,v 1.2 2009/08/24 12:30
                  config.close()
  
  
-@@ -85,7 +86,7 @@
+@@ -84,8 +85,7 @@ if is_egg:
+         data_files = [ ("", ["prelude-correlator.conf"]) ]
  else:
          package_data = {}
-         data_files = [ ("etc/prelude-correlator", ["prelude-correlator.conf"]),
+-        data_files = [ ("etc/prelude-correlator", ["prelude-correlator.conf"]),
 -                       ("var/lib/prelude-correlator", ["PreludeCorrelator/plugins/dshield.dat"]) ]
-+                       ("@PRELUDE_HOME@", ["PreludeCorrelator/plugins/dshield.dat"]) ]
++        data_files = [ ("@PRELUDE_HOME@", ["PreludeCorrelator/plugins/dshield.dat"]) ]
  
  setup(
          name="prelude-correlator",